=== release 1.14.0 ===

2018-03-19 20:09:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gstreamer.doap:
	* meson.build:
	  Release 1.14.0

2018-03-19 20:09:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coretracers.xml:
	  Update docs

=== release 1.13.91 ===

2018-03-13 19:08:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gstreamer.doap:
	* meson.build:
	  Release 1.13.91

2018-03-13 19:08:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coretracers.xml:
	  Update docs

2018-03-13 11:54:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst/meson.build:
	* docs/libs/meson.build:
	  meson: docs: update api decorators to ignore

2018-03-12 23:12:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/Makefile.am:
	  docs: fixup for new libs API export decorators

2018-03-12 23:03:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/net/Makefile.am:
	* libs/gst/net/gstnet.h:
	* libs/gst/net/gstnetaddressmeta.h:
	* libs/gst/net/gstnetclientclock.h:
	* libs/gst/net/gstnetcontrolmessagemeta.h:
	* libs/gst/net/gstnettimepacket.h:
	* libs/gst/net/gstnettimeprovider.h:
	* libs/gst/net/gstptpclock.h:
	* libs/gst/net/meson.build:
	* libs/gst/net/net-prelude.h:
	* libs/gst/net/net.h:
	  net: GST_EXPORT -> GST_NET_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-12 23:03:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* common:
	* libs/gst/controller/Makefile.am:
	* libs/gst/controller/controller-prelude.h:
	* libs/gst/controller/controller.h:
	* libs/gst/controller/controller_mkenum.py:
	* libs/gst/controller/gstargbcontrolbinding.h:
	* libs/gst/controller/gstdirectcontrolbinding.h:
	* libs/gst/controller/gstinterpolationcontrolsource.h:
	* libs/gst/controller/gstlfocontrolsource.h:
	* libs/gst/controller/gstproxycontrolbinding.h:
	* libs/gst/controller/gsttimedvaluecontrolsource.h:
	* libs/gst/controller/gsttriggercontrolsource.h:
	* libs/gst/controller/meson.build:
	  controller: GST_EXPORT -> GST_CONTROLLER_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-12 23:03:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/check/Makefile.am:
	* libs/gst/check/check-prelude.h:
	* libs/gst/check/check.h:
	* libs/gst/check/gstbufferstraw.h:
	* libs/gst/check/gstcheck.h:
	* libs/gst/check/gstconsistencychecker.h:
	* libs/gst/check/gstharness.h:
	* libs/gst/check/gsttestclock.h:
	* libs/gst/check/meson.build:
	  check: GST_EXPORT -> GST_CHECK_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-12 23:03:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/base/Makefile.am:
	* libs/gst/base/base-prelude.h:
	* libs/gst/base/base.h:
	* libs/gst/base/gstadapter.h:
	* libs/gst/base/gstaggregator.h:
	* libs/gst/base/gstbaseparse.h:
	* libs/gst/base/gstbasesink.h:
	* libs/gst/base/gstbasesrc.h:
	* libs/gst/base/gstbasetransform.h:
	* libs/gst/base/gstbitreader.h:
	* libs/gst/base/gstbytereader.h:
	* libs/gst/base/gstbytewriter.h:
	* libs/gst/base/gstcollectpads.h:
	* libs/gst/base/gstdataqueue.h:
	* libs/gst/base/gstflowcombiner.h:
	* libs/gst/base/gstindex.h:
	* libs/gst/base/gstpushsrc.h:
	* libs/gst/base/gstqueuearray.h:
	* libs/gst/base/gsttypefindhelper.h:
	* libs/gst/base/meson.build:
	  base: GST_EXPORT -> GST_BASE_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-12 23:03:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst/Makefile.am:
	* gst/Makefile.am:
	* gst/gst.h:
	* gst/gst_private.h:
	* gst/gstallocator.h:
	* gst/gstatomicqueue.h:
	* gst/gstbin.h:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.h:
	* gst/gstbufferpool.h:
	* gst/gstbus.h:
	* gst/gstcaps.h:
	* gst/gstcapsfeatures.h:
	* gst/gstchildproxy.h:
	* gst/gstclock.h:
	* gst/gstconfig.h.in:
	* gst/gstcontext.h:
	* gst/gstcontrolbinding.h:
	* gst/gstcontrolsource.h:
	* gst/gstdatetime.h:
	* gst/gstdebugutils.h:
	* gst/gstdevice.h:
	* gst/gstdevicemonitor.h:
	* gst/gstdeviceprovider.h:
	* gst/gstdeviceproviderfactory.h:
	* gst/gstdynamictypefactory.h:
	* gst/gstelement.h:
	* gst/gstelementfactory.h:
	* gst/gstenumtypes.h.template:
	* gst/gsterror.h:
	* gst/gstevent.h:
	* gst/gstformat.h:
	* gst/gstghostpad.h:
	* gst/gstinfo.h:
	* gst/gstiterator.h:
	* gst/gstmemory.h:
	* gst/gstmessage.h:
	* gst/gstmeta.h:
	* gst/gstminiobject.h:
	* gst/gstobject.h:
	* gst/gstpad.h:
	* gst/gstpadtemplate.h:
	* gst/gstparamspecs.h:
	* gst/gstparse.h:
	* gst/gstpipeline.h:
	* gst/gstplugin.h:
	* gst/gstpluginfeature.h:
	* gst/gstpoll.h:
	* gst/gstpreset.h:
	* gst/gstpromise.h:
	* gst/gstprotection.h:
	* gst/gstquery.h:
	* gst/gstregistry.h:
	* gst/gstsample.h:
	* gst/gstsegment.h:
	* gst/gststreamcollection.h:
	* gst/gststreams.h:
	* gst/gststructure.h:
	* gst/gstsystemclock.h:
	* gst/gsttaglist.h:
	* gst/gsttagsetter.h:
	* gst/gsttask.h:
	* gst/gsttaskpool.h:
	* gst/gsttoc.h:
	* gst/gsttocsetter.h:
	* gst/gsttracer.h:
	* gst/gsttracerfactory.h:
	* gst/gsttracerrecord.h:
	* gst/gsttypefind.h:
	* gst/gsttypefindfactory.h:
	* gst/gsturi.h:
	* gst/gstutils.h:
	* gst/gstvalue.h:
	  gst: GST_EXPORT -> GST_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-08 13:30:30 +1100  Matthew Waters <matthew@centricular.com>

	* gst/gstpromise.c:
	  promise: be more explicit in docs about who/when to use reply/interrupt/expire
	  https://bugzilla.gnome.org/show_bug.cgi?id=794153

2018-03-07 11:19:25 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Balance unlock/unlock_stop in _src_stop()
	  Otherwise it's possible that we won't be able to start again
	  depending the implementation. We do start/stop in normal use cases
	  whenever GST_QUERY_SCHEDULING happens before we are started.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794149

2018-03-07 11:16:00 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: No need to stop flushing in start_complete
	  The flushing state is handled a bit differently, there is no need
	  to stop flushing in start_complete. This would other result in
	  unlock_stop being called without unlock_start.
	  Unlike what the old comment says, there is no need to take the live
	  lock here, we are still single threaded at this point (app thread
	  or the state change thread). Also, we will wait for playing state
	  in create/getrange, no need to do that twice.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794149

2018-03-05 11:52:24 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdebugutils.c:
	  debugutils: Change dot-file functions documentation to proper gtk-doc
	  This way gobject-introspection also picks it up and handles our
	  annotations.
	  See https://gitlab.gnome.org/GNOME/gobject-introspection/issues/194

2018-03-04 10:53:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstqueuearray.c:
	* libs/gst/base/gstqueuearray.h:
	* win32/common/libgstbase.def:
	  queuearray: Implement pop_tail_struct() for completeness
	  All other variants of {peek,pop}_{head,tail}_{,struct} were already
	  implemented.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794035

2018-03-04 10:24:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpreset.c:
	* gst/gsturi.c:
	  gst: Add some more (type filename) annotations

=== release 1.13.90 ===

2018-03-03 21:51:49 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gstreamer.doap:
	* meson.build:
	  Release 1.13.90

2018-03-03 21:51:49 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coretracers.xml:
	  Update docs

2018-02-13 22:20:18 +1100  Matthew Waters <matthew@centricular.com>

	* plugins/elements/gstfdsink.c:
	* plugins/elements/gstfdsrc.c:
	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstfilesrc.c:
	* plugins/elements/gstqueue2.c:
	* plugins/elements/gstsparsefile.c:
	  plugins: Don't force 64-bit file/seek functions variants on android
	  Most functions are automatically chosen from the _FILE_OFFSET_BITS
	  define, the remaining one (fstat) is only available on API >= 21 so
	  check for that

2018-03-01 22:21:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* win32/common/libgstbase.def:
	  Add new symbol to docs and .def file
	  Fixes make check

2018-03-01 16:19:09 -0500  Olivier Crête <olivier.crete@collabora.com>

	* libs/gst/base/gstqueuearray.c:
	* libs/gst/base/gstqueuearray.h:
	* plugins/elements/gstqueue.c:
	* tests/check/elements/queue.c:
	  queue: Ignore thresholds if a query is queued
	  The queue gets filled by the tail, so a query will always be the tail
	  object, not the head object. Also add a _peek_tail_struct() method to the
	  GstQueueArray to enable looking at the tail.
	  With unit test to prevent future regression.
	  https://bugzilla.gnome.org/show_bug.cgi?id=762875

2018-03-01 18:38:01 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: -Wformat-* require -Wformat

2018-03-01 17:20:06 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/printf/meson.build:
	* libs/gst/check/libcheck/meson.build:
	* meson.build:
	  meson: enable more warnings
	  Modeled on the autotools build, -W flags are only
	  added if the compiler supports them.
	  https://bugzilla.gnome.org/show_bug.cgi?id=793958

2018-03-01 00:31:11 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	* tests/check/libs/aggregator.c:
	  gstaggregator: pads must inherit from #GstAggregatorPad
	  Document this, and take advantage of that fact to use
	  GstAggregator.srcpad.segment instead of GstAggregator.segment
	  https://bugzilla.gnome.org/show_bug.cgi?id=793942

2018-03-01 01:15:34 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	* tests/check/libs/aggregator.c:
	  Revert "gstaggregator: pads must inherit from #GstAggregatorPad"
	  This reverts commit 9774b3775d8483e5697f9196a26c1e5831113bd6.
	  Pushed by mistake

2018-03-01 01:12:07 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstghostpad.c:
	  ghostpad: ensure we build a ghost pad ..
	  When we construct from a custom GType

2018-03-01 01:09:48 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstpad.c:
	  pad: fix mixed declarations

2018-03-01 00:31:11 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	* tests/check/libs/aggregator.c:
	  gstaggregator: pads must inherit from #GstAggregatorPad
	  Document this, and take advantage of that fact to use
	  GstAggregator.srcpad.segment instead of GstAggregator.segment
	  https://bugzilla.gnome.org/show_bug.cgi?id=793942

2018-02-28 19:53:42 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: allow src GstAggregatorPads
	  See https://bugzilla.gnome.org/show_bug.cgi?id=793917
	  https://bugzilla.gnome.org/show_bug.cgi?id=793934

2018-02-28 19:51:44 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstghostpad.c:
	* gst/gstpad.c:
	* gst/gstpadtemplate.c:
	  pad, ghostpad: use the template gtype if specified
	  Also make sure the GType passed to the with_gtype versions
	  of the template constructors is_a GstPad
	  https://bugzilla.gnome.org/show_bug.cgi?id=793933

2018-02-21 22:25:25 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix integer overflow in bitrate calculation
	  https://bugzilla.gnome.org/show_bug.cgi?id=793284

2018-02-21 22:01:36 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Avoid overflow in update_interval calculation
	  https://bugzilla.gnome.org/show_bug.cgi?id=793284

2018-02-21 21:43:59 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix check for update_interval
	  update_interval may be -1
	  https://bugzilla.gnome.org/show_bug.cgi?id=793284

2018-02-19 15:39:46 +0900  Justin Kim <justin.kim@collabora.com>

	* meson.build:
	  meson: Use .dylib suffix if darwin
	  For Mac OS, GST_EXTRA_MODULE_SUFFIX should be set as '.dylib'.
	  Otherwise, GStreamer fails to load its plugins.
	  https://bugzilla.gnome.org/show_bug.cgi?id=793584

2018-02-01 18:29:27 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstqueuearray.c:
	* libs/gst/base/gstqueuearray.h:
	* tests/check/libs/queuearray.c:
	* win32/common/libgstbase.def:
	  queuearray: add _peek_tail() and _pop_tail()
	  API: gst_queue_array_pop_tail()
	  API: gst_queue_array_peek_tail()
	  These will be needed later for appsrc.

2018-02-13 12:38:33 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/gstbuffer.c:
	* gst/gstevent.c:
	* gst/gstmemory.c:
	* gst/gstmessage.c:
	* gst/gstquery.c:
	* gst/gstsegment.c:
	* gst/gsttaglist.c:
	* gst/gsturi.c:
	  gst: fix some GIR annotations
	  Mostly related to out parameters and their transfer

2018-01-10 04:08:57 +0100  Alicia Boya García <aboya@igalia.com>

	* libs/gst/base/gstbasesink.c:
	* tests/check/libs/basesink.c:
	  gstbasesink: Include segment.offset in the computation of position
	  Position queries with GST_FORMAT_TIME are supposed to return stream
	  time.
	  gst_base_sink_get_position() estimates the current stream time on its
	  own instead of using gst_segment_to_stream_time(), but the algorithm
	  used was not taking segment.offset into account, resulting in invalid
	  values when this field was set to a non-zero value.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792434

2018-02-15 12:58:43 +1100  Matthew Waters <matthew@centricular.com>

	* plugins/tracers/gstlatency.c:
	  tracers: latency: allow for non parented pads to send latency probes
	  Such a setup is used in rtspsrc for its TCP connection
	  https://bugzilla.gnome.org/show_bug.cgi?id=793478

2018-02-15 19:44:14 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coretracers.xml:
	* meson.build:
	  Back to development

=== release 1.13.1 ===

2018-02-15 16:31:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* configure.ac:
	* docs/plugins/gstreamer-plugins.args:
	* docs/plugins/gstreamer-plugins.hierarchy:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coretracers.xml:
	* gstreamer.doap:
	* meson.build:
	  Release 1.13.1

2018-02-15 13:36:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/gst/gstpipeline.c:
	  tests: pipeline: try to make test_pipeline_reset_start_time more reliable
	  Occasionally this test would fail, especially if the system is under load,
	  because the position query would pick up the last position from the
	  last buffer timestamp which has a lower timestamp than what we're
	  looking for. The sleep is long enough, however. It's unclear to me why
	  exactly this happens but there seems to be some kind of scheduling
	  issue going on as the streaming thread floods the sink with buffers.
	  Let's throttle the fakesrc to 100 buffers per second and make the sink
	  sync to the clock to restore some sanity. It should be totally sufficient
	  to test what we want to test, and seems to make things reliable here.

2018-02-15 12:03:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/gst/gsturi.c:
	  tests: uri: fix build without -DGST_DISABLE_DEPRECATED
	  Must undefine it before including gst headers, since the test
	  tests deprecated API.

2018-02-15 12:09:31 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstconfig.h.in:
	  gstconfig.h: want deprecation warnings if GST_DISABLE_DEPRECATED is *set*
	  Fix inverted logic. If GST_DISABLE_DEPRECATED is undefined,
	  we don't want warnings about deprecated API, and if it's
	  defined we do want warnings.

2018-02-15 11:28:23 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/bg.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/fr.po:
	* po/hr.po:
	* po/hu.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: update translations

2018-02-14 19:37:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	  docs: add flow combiner ref/unref to docs
	  So new-in-1.12 index actually has some entries.

2018-02-14 19:13:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-docs.sgml:
	  docs: add index for new symbols in 1.14

2018-02-14 19:12:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-docs.sgml:
	  docs: add index for new symbols in 1.12

2018-02-08 17:22:14 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: make version numbers ints and fix int/string comparison
	  WARNING: Trying to compare values of different types (str, int).
	  The result of this is undefined and will become a hard error
	  in a future Meson release.

2018-02-03 17:56:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* gst/printf/Makefile.am:
	  autotools: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2018-02-03 17:55:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbuffer.h:
	  buffer: fix gtk-doc warning regarding _get_n_meta() declaration

2018-02-02 00:24:20 +1100  Matthew Waters <matthew@centricular.com>

	* gst/gstpromise.c:
	* gst/gstpromise.h:
	  gstpromise: add since 1.14 markers

2017-10-18 21:24:19 +1100  Matthew Waters <matthew@centricular.com>

	* scripts/gst-uninstalled:
	  gst-uninstalled: add webrtc to libraries

2018-01-31 14:01:36 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbuffer.h:
	  gstbuffer.h: move FLAG_LAST documentation back to the bottom

2018-01-31 13:36:15 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstbasetransform.h:
	  basetransform: annotate virtual methods

2018-01-30 16:41:39 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbuffer.h:
	  gstbuffer: add GST_BUFFER_FLAG_NON_DROPPABLE
	  This can be used to identify buffers for which a higher percentage
	  of redundancy should be allocated when performing forward error
	  correction, or to prevent still video frames from being dropped by
	  elements due to QoS.
	  https://bugzilla.gnome.org/show_bug.cgi?id=793008

2018-01-30 20:30:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use -fno-strict-aliasing if supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2017-12-23 16:45:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* win32/common/libgstreamer.def:
	  buffer: add gst_buffer_get_n_meta() convenience function
	  Counts how many metas there are for a certain api type.
	  https://bugzilla.gnome.org/show_bug.cgi?id=791918

2017-10-22 18:05:30 +0530  Arun Raghavan <arun@arunraghavan.net>

	* gst/gst.c:
	* gst/gstallocator.c:
	* gst/gstbin.c:
	* gst/gstbuffer.c:
	* gst/gstbus.c:
	* gst/gstcaps.c:
	* gst/gstcapsfeatures.c:
	* gst/gstdatetime.c:
	* gst/gstdevice.c:
	* gst/gstdevicemonitor.c:
	* gst/gstdeviceprovider.c:
	* gst/gstelement.c:
	* gst/gstevent.c:
	* gst/gstinfo.c:
	* gst/gstmessage.c:
	* gst/gstmeta.c:
	* gst/gstminiobject.c:
	* gst/gstpad.c:
	* gst/gstpadtemplate.c:
	* gst/gstparamspecs.c:
	* gst/gstparse.c:
	* gst/gstplugin.c:
	* gst/gstprotection.c:
	* gst/gstquery.c:
	* gst/gstsample.c:
	* gst/gststreamcollection.c:
	* gst/gststreams.c:
	* gst/gststructure.c:
	* gst/gsttaglist.c:
	* gst/gsttoc.c:
	* gst/gsturi.c:
	* gst/gstutils.c:
	* gst/gstvalue.c:
	  gst: Fix up a bunch of GIR annotations
	  This is mostly on nullable return values, and some other minor ones that
	  I ran across.
	  https://bugzilla.gnome.org/show_bug.cgi?id=789319

2017-05-27 05:19:20 +0530  Arun Raghavan <arun@arunraghavan.net>

	* gst/gstdevicemonitor.c:
	  devicemonitor: Return NULL instead of FALSE
	  Same effect, meaning is clearer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=789319

2018-01-26 12:42:28 +0100  François Laignel <fengalin@free.fr>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstmessage.c:
	* gst/gstmessage.h:
	* tests/check/gst/gstmessage.c:
	* win32/common/libgstreamer.def:
	  message: Add gst_message_writable_structure()
	  Add gst_message_writable_structure() to be able to add extra fields to
	  messages (and be on par with GstEvent).
	  https://bugzilla.gnome.org/show_bug.cgi?id=792928

2018-01-23 22:49:52 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: delegate buffer skipping to the aggregate thread
	  As we do that for serialized events as well, and the subclass will
	  most likely need to access pad->segment to make its decisions,
	  doing that from the sinkpad's streaming threads was racy.

2017-12-28 12:12:45 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  API: GstAggregatorPad.skip_buffer virtual method
	  Allows subclasses to prevent buffers from being queued.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781928

2018-01-23 20:04:02 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstbasesrc.h:
	  basesrc: Annotate some of the virtual methods

2018-01-23 08:56:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gstreamer-libs-sections.txt:
	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	* tests/check/libs/aggregator.c:
	* win32/common/libgstbase.def:
	  aggregator: rename _get_buffer() -> _peek_buffer() and _steal -> _pop
	  https://bugzilla.gnome.org/show_bug.cgi?id=791204

2018-01-20 15:30:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstchildproxy.c:
	  childproxy: gracefully handle methods being NULL
	  Do this for all method invoke functions for consistency.
	  https://bugzilla.gnome.org/show_bug.cgi?id=750154

2018-01-18 18:11:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* win32/common/libgstreamer.def:
	  win32: fix .def file for new API
	  Fixes check + distcheck

2017-08-01 10:43:32 +0200  Michele Dionisio <michele.dionisio@gmail.com>

	* libs/gst/net/gstptpclock.c:
	  ptp: fix build failure with #undef USE_MEASUREMENT_FILTERING
	  "Label ‘out’ used but not defined", since it's also used by
	  the USE_MEDIAN_PRE_FILTERING branch.
	  https://bugzilla.gnome.org/show_bug.cgi?id=785631

2018-01-18 19:16:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpadtemplate.h:
	  padtemplate: And add missing GST_EXPORT to gst_pad_template_new_with_gtype()

2018-01-18 19:15:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpadtemplate.c:
	  padtemplate: Add missing Since: 1.14 marker to gst_pad_template_new_with_gtype()

2018-01-18 19:08:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpadtemplate.c:
	* gst/gstpadtemplate.h:
	  padtemplate: Add gst_pad_template_new_with_gtype()
	  For being able to create a pad template with GType without having a
	  static pad template.

2018-01-18 19:07:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpadtemplate.c:
	  padtemplate: Add Since: 1.14 marker to gst_pad_template_new_from_static_pad_template_with_gtype()

2018-01-16 10:17:58 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	  gstpad: Avoid stream-dead-lock on deactivation
	  The following case can happen when two thread try to activate and
	  deactivate a pad at the same time:
	  T1: starts to deactivate, calls pre_activate(), sets in_activation
	  to TRUE and carries on
	  T2: starts to activate, calls pre_activate(), in_activation is TRUE
	  so it waits on the GCond
	  T1: calls post_activate(), tries to acquire the streaming lock ..
	  but can't because T2 is currently holding it
	  With this patch, the deadlock will no longer happen but does not
	  solve the problem that:
	  T2: will resume activation of the pad, set the pad mode to the target
	  one (PUSH or PULL) and eventually the streaming lock gets released.
	  T1: is able to finish calling post_activate() ... but ... the pad
	  wasn't deactivated (T2 was the last one to "activate" the pad.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792341

2018-01-15 18:13:45 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	  gstpad: Release pending g_cond_wait() when stopping/pausing task
	  Otherwise we would deadlock waiting forever for the streaming lock
	  to be released
	  https://bugzilla.gnome.org/show_bug.cgi?id=792341

2018-01-13 11:08:00 +0800  Jun Xie <jun.xie@samsung.com>

	* libs/gst/base/gsttypefindhelper.c:
	  typefindhelper: fix confusing debug log message
	  In case of a short buffer, the debug log is quite confusing.
	  Distinguish the two types of failure cases to make it clearer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792486

2018-01-12 18:47:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstobject.c:
	  docs: explicit refer to GObject docs for floating refs
	  https://bugzilla.gnome.org/show_bug.cgi?id=788477

2018-01-11 19:52:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/fakesink.c:
	  tests: fakesink: make notify stress test work better on Windows
	  Set up all ten pipelines and preroll them first, and only set
	  them to playing to run wild after they're all set up. If we set
	  them to PLAYING directly and let those threads run wild, then
	  it might take ages (many seconds) for the other pipelines to
	  even get up and running, especially on machines with only one
	  or two cores, and operating systems that suck at scheduling.
	  Now the fakesink test takes 19 secs instead of 71 secs on a
	  single-cpu windows machine.

2018-01-11 19:32:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/filesrc.c:
	  tests: filesrc: more Windows fixes
	  Fix typo in newly-added windows uri test.

2018-01-11 18:44:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstutils.c:
	  utils: use g_get_monotonic_time() as fallback in gst_utils_get_timestamp()
	  This is a better fit given that the function docs say this
	  should (only) be used for interval measurements, but also
	  this seems to give much better granularity on Windows
	  systems, where before this change there would often be
	  10-20 lines of debug log with the same timestamp up front.

2018-01-11 18:39:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/gst/gstsystemclock.c:
	  tests: systemclock: scale stress test threads according to number of cpus
	  Scale the number of threads used in the stress tests according to
	  the number of cores/cpus. We want some contention, but we also
	  don't want too much contention, as some operating systems are
	  better at handling 100 threads running wild on a single core
	  than others.

2018-01-11 17:10:45 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstplugin.c:
	  plugin: plugin_load() must return a ref even if it was loaded already
	  Fix refcounting issue when plugin was loaded already.
	  gst_plugin_load() is supposed to return a ref, so it
	  must always return a ref.
	  This also fixes the gstplugin unit test on windows where
	  fork is not available and where test_load_coreelements()
	  would unref a plugin ref it didn't get and then mess up
	  the internal registry plugin list state for the next test,
	  in case where the test registry does not exist yet.

2018-01-11 14:56:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/filesrc.c:
	  tests: filesrc: fix for windows
	  Location paths have backslashes on windows when converted from URI.

2018-01-11 12:27:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/check/gstcheck.c:
	  libs: check: print stacktrace on unexpected criticals

2018-01-11 12:02:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/Makefile.am:
	* tests/check/gst/gstabi.c:
	* tests/check/gst/struct_x86_64w.h:
	  tests: abi: fix abi test on 64-bit Windows
	  Add header with structure sizes for 64-bit windows as well.
	  They're almost the same as on Linux, but it looks like things
	  like padding unions get aligned slightly differently so there
	  are a handful of differences:
	  sizeof(GstGhostPad) is 528, expected 536
	  sizeof(GstPad) is 512, expected 520
	  sizeof(GstPadProbeInfo) is 64, expected 72
	  sizeof(GstProxyPad) is 520, expected 528

2018-01-11 11:38:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/gst/gstinfo.c:
	  tests: info: fix post init cat reg test on windows and with CK_FORK=no
	  The test checks that categories not covered by the pattern in the
	  GST_DEBUG string have debug level GST_LEVEL_DEFAULT set, but previous
	  tests mess with the default threshold, which made this test fail on
	  Windows or when run with CK_FORK=no. Fix this by resetting everything
	  at the beginning, and then also do a sanity check afterwards.

2018-01-11 11:36:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstinfo.c:
	  info: reset default threshold to LEVEL_DEFAULT not 0
	  in set_threshold_from_string().

2017-11-08 20:05:03 +0100  Håvard Graff <havard.graff@gmail.com>

	* libs/gst/check/libcheck/check.h.in:
	* libs/gst/check/libcheck/libcompat/libcompat.h:
	* libs/gst/check/libcheck/meson.build:
	* libs/gst/check/meson.build:
	* libs/gst/meson.build:
	* pkgconfig/meson.build:
	* tests/meson.build:
	  meson: make check and tests build on Windows with msvc

2018-01-02 10:02:45 +0100  Edward Hervey <edward@centricular.com>

	* libs/gst/check/gstharness.c:
	  gstharness: Remove double free

2017-12-26 18:08:31 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.h:
	  streams: GstStreamType/GstStream are available since 1.10
	  Annotate them as such.

2017-12-26 13:46:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: skip translations if gettext is not available

2017-12-26 12:51:22 +0100  Stefan Sauer <ensonic@users.sf.net>

	* libs/gst/base/gstaggregator.c:
	  aggregator: remove DEBUG_FUNCPTR
	  The new gst_element_do_foreach_pad() does not print the functions anymore.

2017-12-26 12:17:53 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tools/gst-inspect.c:
	  inspect: add comment for how to improve tracer support

2017-12-26 11:29:39 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/gstsegment.c:
	  segment: add a FIXME-2.0 for the format parameters
	  Capture the somewhat not ordinary use of the extra format parameter in a
	  comment.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=788979

2017-12-24 16:21:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gst.c:
	* tests/check/Makefile.am:
	* tests/check/gst/.gitignore:
	* tests/check/gst/gstdeinit.c:
	* tests/check/meson.build:
	  Skip gst_deinit() if gstreamer was not initialized properly
	  Can happen if an error occurs during option parsing, for example.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781914

2017-12-23 23:43:33 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/check/elements/multiqueue.c:
	  tests: multiqueue: Replace large test macro with function
	  Just a bit of cleanup.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756867

2017-12-15 09:43:40 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/check/elements/multiqueue.c:
	  tests: multiqueue: Check we get CREATE+ENTER stream-statuses when adding pads
	  https://bugzilla.gnome.org/show_bug.cgi?id=756867

2017-12-15 09:14:57 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Don't start new pads until parented
	  Start task on new source pads added at runtime after they
	  have been added to the element, not during activation.
	  This ensures the pads can post their CREATE stream-status
	  messages and the application can set thread priorities.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756867

2017-12-15 09:14:07 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Split task handling from gst_single_queue_flush
	  https://bugzilla.gnome.org/show_bug.cgi?id=756867

2017-12-23 23:25:58 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Avoid a maybe-uninitialized warning
	  Arch Linux x86_64, gcc 7.2.1-2, -Og -g3

2017-12-21 13:47:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstdownloadbuffer.c:
	  downloadbuffer: Don't hold the mutex while posint the download-complete message
	  Something might handle it from a sync message handler and call back into
	  downloadbuffer, causing a deadlock.

2017-12-20 18:56:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: set_default() clock parameter can be NULL

2017-12-20 18:11:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstelement.c:
	  element: Annotate set_clock() clock parameter with allow-none

2017-12-20 18:09:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstelement.c:
	  element: Annotate set_bus() bus parameter as allow-none
	  It's possible to replace the bus with NULL/None

2017-12-10 22:50:05 +0000  Tim-Philipp Müller <tim@centricular.com>

	* scripts/gst-uninstalled:
	  gst-uninstalled: update for gl lib move from bad to base
